.image_tile_carousel {
    position: relative;
    width: 100%;
}

.image_tile_carousel>.carousel_wrapper {
    position: relative;
    overflow: hidden;
    width: 100%;
}

.image_tile_carousel>.carousel_wrapper>.carousel {
    position: absolute;
    display: flex;
    left: 0;
    transition: left 200ms;
}


/**
 * サイズ定義
 */

@media (max-width: 769px) {
    .image_tile_carousel>.carousel_wrapper {
        height: 15rem;
    }
    .image_tile_carousel .tile {
        width: 20rem;
        height: 15rem;
    }
    .image_tile_carousel>.navigation>.nav {
        width: 3rem;
        height: 15rem;
    }
    .image_tile_carousel>.navigation>.nav>.mark {
        font-size: 1.2rem;
    }
}

@media (min-width: 768px) {
    .image_tile_carousel>.carousel_wrapper {
        height: 24rem;
        padding: 1.5rem 0;
    }
    .image_tile_carousel .tile {
        width: 16rem;
        height: 12rem;
    }
    .image_tile_carousel .tile:first-of-type {
        width: 32rem;
        height: 24rem;
    }
    .image_tile_carousel .carousel .tile:not(:first-of-type):nth-child(odd) {
        margin-left: -16rem;
        align-self: flex-end;
    }
    .image_tile_carousel>.navigation>.nav {
        width: 3rem;
        margin: 1.5rem 0;
        height: 24rem;
    }
    .image_tile_carousel>.navigation>.nav>.mark {
        font-size: 2rem;
    }
}


/**
 * 
 * 画像タイル
 * 
 */

.image_tile_carousel .tile {
    overflow: hidden;
    position: relative;
    transition: transform 100ms;
}

@media (max-width: 769px) {
    .image_tile_carousel .tile {
		box-sizing: border-box;
        border: solid 0.1rem #fff;
    }
}

@media (min-width: 768px) {
    .image_tile_carousel .tile:hover {
        transform: scale(1.03);
        cursor: pointer;
        z-index: 1;
    }
}

/**
 * 説明部
 */

.image_tile_carousel .tile>.document {
    position: absolute;
    color: rgba(255, 255, 255, 0.9);
    background-color: rgba(0, 0, 0, 0.7);
    bottom: 0;
    width: 100%;
}

.image_tile_carousel .tile>.document>* {
    margin: 0.5rem 1rem;
}

.image_tile_carousel .tile>.document>.title {
    font-size: 120%;
}


/**
 * 画像トリミング
 */

.image_tile_carousel .tile>.image_trimmer {
    position: absolute;
    min-width: 100%;
    min-height: 100%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.image_tile_carousel .tile>.image_trimmer.landscape {
    width: auto;
    height: 100%;
}

.image_tile_carousel .tile>.image_trimmer.portrait {
    width: 100%;
    height: auto;
}

.image_tile_carousel .tile>.image_trimmer.landscape>img {
    width: auto;
    min-height: 100%;
    height: 100%;
}

.image_tile_carousel .tile>.image_trimmer.portrait>img {
    min-width: 100%;
    width: 100%;
    height: auto;
}


/**
 * 画像カルーセル 画像なしのとき非表示
 */

.image_tile_carousel.empty {
    display: none;
}


/**
 * ナビゲーション
 */

.image_tile_carousel>.navigation {
    position: absolute;
    top: 0;
    width: 100%;
    height: 1rem;
}

.image_tile_carousel>.navigation>.nav {
    position: absolute;
    z-index: 1;
    cursor: pointer;
}

@media screen and (min-width: 769px) {
    .image_tile_carousel>.navigation>.nav {
        background-color: rgba(0, 0, 0, 0.4);
    }
}

.image_tile_carousel>.navigation>.nav.disabled {
    display: none;
}

.image_tile_carousel>.navigation>.nav>.mark {
    position: absolute;
    font-weight: bold;
    color: rgba(255, 255, 255, 0.9);
    top: 50%;
    margin-top: -50%;
    width: 100%;
    text-align: center;
    text-shadow: 0.1rem 0.1rem 0.1rem #000;
}

.image_tile_carousel>.navigation>.nav.prev {
    left: 0;
}

.image_tile_carousel>.navigation>.nav.next {
    right: 0;
}


/**
 * 全画面写真
 */

body.image_tile_carousel_fullsize_preview {
    overflow-y: hidden;
}

.image_tile_carousel .full_size_box {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    overflow-y: auto;
    transition: all 300ms;
    cursor: pointer;
    z-index: 2000;
}

.image_tile_carousel .full_size_box .close_full_size_box {
    position: fixed;
    width: 3rem;
    height: 3rem;
    color: rgba(255, 255, 255, 0.8);
    right: 0;
    top: 0;
}

.image_tile_carousel .full_size_box .full_size_image_list {
    padding: 0;
    margin: 0;
}

.image_tile_carousel .full_size_box .full_size_list {
    cursor: default;
    max-width: 90%;
    margin: 2rem auto;
    text-align: center;
}

.image_tile_carousel .full_size_box .full_size_list .full_size_image_box {
    display: inline-block;
}

.image_tile_carousel .full_size_box .full_size_list img {
    max-width: 100%;
    width: 100%;
}

.image_tile_carousel .full_size_box .full_size_list .document {
    color: #f2f2f2;
    margin: 0.5rem auto;
    text-align: left;
}

.image_tile_carousel .full_size_box .full_size_list .document>* {
    margin: 0;
}

.image_tile_carousel .full_size_box .full_size_list .document .title {
    font-size: 1.2rem;
    line-height: 2rem;
}

.image_tile_carousel .full_size_box .full_size_list .document .detail {
    font-size: 0.9rem;
}

@media screen and (max-width: 768px) {
    .image_tile_carousel .full_size_box {
        -webkit-overflow-scrolling: touch;
    }
    .image_tile_carousel .full_size_box.hide {
        display: none;
    }
    .image_tile_carousel .full_size_box .full_size_list {
        margin: 0;
        margin-top: 1rem;
    }
    .image_tile_carousel .full_size_box .full_size_list img {
        max-width: 100vw;
        width: 100vw;
    }
    .image_tile_carousel .full_size_box .close_full_size_box {
        font-size: 2rem;
        left: 90vw;
    }
    .image_tile_carousel .full_size_box .full_size_list {
        max-width: 100%;
        width: 100%;
    }
    .image_tile_carousel .full_size_box .document {
        padding: 0 0.5rem;
        box-sizing: border-box;
    }
}

@media screen and (min-width: 769px) {
    .image_tile_carousel .full_size_box.hide {
        z-index: -1;
        opacity: 0;
    }
    .image_tile_carousel .full_size_box .close_full_size_box {
        font-size: 3rem;
        margin-right: 2rem;
        margin-top: 2rem;
    }
    .image_tile_carousel .full_size_box .full_size_list {
        width: 90%;
        max-width: 1200px;
    }
}
